---

- name: Create the archive dir
  file: path={{ cni_root_dir }}/archives/{{ cni_current_version }} state=directory
  tags: cni

- name: Archive current version
  synchronize:
    src: "{{ cni_root_dir }}/bin"
    dest: "{{ cni_root_dir }}/archives/{{ cni_current_version }}/"
    compress: False
    delete: True
  delegate_to: "{{ inventory_hostname }}"
  tags: cni
